tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Oxley <d...@staffplanner.co.uk>
Subject RE: mod_webapp --> NT4, Tomcat 4.0.7, Apache 1.3.20, JDK 1.3.1
Date Fri, 17 Aug 2001 15:29:45 GMT
Isn't the .so file only for unix. You need mod_webapp.dll

Dave

-----Original Message-----
From: Shawn Evans [mailto:shawnwe@hotmail.com]
Sent: 17 August 2001 15:12
To: tomcat-user@jakarta.apache.org
Subject: mod_webapp --> NT4, Tomcat 4.0.7, Apache 1.3.20, JDK 1.3.1

   I read "Installing mod_webapp and using it with Apache 1.3" written in
mod_webapp, and I have been unsuccessful in getting it to work.  Here is my
configuration:

Win NT4.0 sp6
Apache 1.3.20 d:\webserver\Apache
Tomcat 4.0.7b d:\webserver\Tomcat-4.0.7

   First, I copied 'mod_webapp.so' and 'libapr.dll' to my apache\modules,
then I added this to my httpd.conf

[...]
#AddModule mod_actions.c mod_setenvif.c mod_isapi.c
AddModule mod_webapp.c
[...]
#LoadModule usertrack_module modules/mod_usertrack.so
LoadModule webapp_module modules/mod_webapp.so
[...]
WebAppConnection conn warp localhost:8008
WebAppDeploy examples conn  /examples
WebAppInfo /webapp-info
[...]

   I kick Apache off as a service (Tomcat is already running as a service)
and here is the error that I get "Error 2140:An internal Windows NT error
occurred"... I am able to run Tomcat 4.0.7 as a service without Apache...
and Apache runs fine when I comment out the 5 lines I added above, but I
need to get them working in sequence with one another.

   Plus, there are no error messages in the log files.

Shawn

Mime
View raw message